## accelerate 1.9.0

=== Makefile ===
.PHONY: quality style test docs utils

check_dirs := .

# Check that source code meets quality standards

extra_quality_checks:
	python utils/check_copies.py
	python utils/check_dummies.py
	python utils/check_repo.py
	doc-builder style src/accelerate docs/source --max_len 119

# this target runs checks on all files
quality:
	ruff check $(check_dirs)
	ruff format --check $(check_dirs)
	doc-builder style src/accelerate docs/source --max_len 119 --check_only

# Format source code automatically and check is there are any problems left that need manual fixing
style:
	ruff check $(check_dirs) --fix
	ruff format $(check_dirs)
	doc-builder style src/accelerate docs/source --max_len 119
	
# Run tests for the library
test_core:
	python -m pytest -s -v ./tests/ \
	--ignore=./tests/test_big_modeling.py \
	--ignore=./tests/test_modeling_utils.py \
	--ignore=./tests/test_examples.py \
	--ignore=./tests/test_cli.py \
	--ignore=./tests/deepspeed \
	--ignore=./tests/fsdp \
	--ignore=./tests/tp \
	$(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_core.log",)

test_cli:
	python -m pytest -s -v ./tests/test_cli.py $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_cli.log",)

test_big_modeling:
	python -m pytest -s -v ./tests/test_big_modeling.py ./tests/test_modeling_utils.py $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_big_modeling.log",)

test_deepspeed:
	python -m pytest -s -v ./tests/deepspeed $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_deepspeed.log",)

test_fsdp:
	python -m pytest -s -v ./tests/fsdp $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_fsdp.log",)

test_tp:
	python -m pytest -s -v ./tests/tp $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_tp.log",)

# Since the new version of pytest will *change* how things are collected, we need `deepspeed` to 
# run after test_core and test_cli
test:
	$(MAKE) test_core
	$(MAKE) test_cli
	$(MAKE) test_big_modeling
	$(MAKE) test_deepspeed
	$(MAKE) test_fsdp
	$(MAKE) test_tp

test_examples:
	python -m pytest -s -v ./tests/test_examples.py $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_examples.log",)

# Broken down example tests for the CI runners
test_integrations:
	python -m pytest -s -v ./tests/deepspeed ./tests/fsdp ./tests/tp $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_integrations.log",)

test_example_differences:
	python -m pytest -s -v ./tests/test_examples.py::ExampleDifferenceTests $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_example_diff.log",)

test_checkpoint_epoch:
	python -m pytest -s -v ./tests/test_examples.py::FeatureExamplesTests -k "by_epoch" $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_checkpoint_epoch.log",)

test_checkpoint_step:
	python -m pytest -s -v ./tests/test_examples.py::FeatureExamplesTests -k "by_step" $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_checkpoint_step.log",)

# Same as test but used to install only the base dependencies
test_prod:
	$(MAKE) test_core

test_rest:
	python -m pytest -s -v ./tests/test_examples.py::FeatureExamplesTests -k "not by_step and not by_epoch" $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_rest.log",)

# For developers to prepare a release
prepare_release:
	rm -rf dist build
	python setup.py bdist_wheel sdist

# Make sure this is ran in a fresh venv of some form
install_test_release:
	pip uninstall accelerate -y
	pip install -i https://testpypi.python.org/pypi --extra-index-url https://pypi.org/simple accelerate$(if $(version),==$(version),)

# Run as `make target=testpypi upload_release`
upload_release:
	@if [ "$(target)" != "testpypi" ] && [ "$(target)" != "pypi" ]; then \
		echo "Error: target must be either 'testpypi' or 'pypi'"; \
		exit 1; \
	fi
	twine upload dist/* -r $(target)

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = source
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== examples/requirements.txt ===
accelerate # used to be installed in Amazon SageMaker environment
evaluate
datasets
schedulefree
huggingface_hub>=0.20.0

=== examples/inference/pippy/requirements.txt ===
accelerate
pippy>=0.2.0

=== debian/changelog ===
accelerate (1.9.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1109901)

 -- Kohei Sendai <kouhei.sendai@gmail.com>  Sat, 26 Jul 2025 01:20:30 +0000

=== debian/control ===
Source: accelerate
Section: python
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 python3-numpy,
 python3-psutil,
 python3-yaml,
 python3-packaging,
 python3-torch | python3-torch-cuda | python3-torch-rocm,
 python3-huggingface-hub,
 python3-safetensors
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.2
Homepage: https://github.com/huggingface/accelerate
Vcs-Browser: https://salsa.debian.org/deeplearning-team/accelerate
Vcs-Git: https://salsa.debian.org/deeplearning-team/accelerate.git

Package: python3-accelerate
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Run your *raw* PyTorch training script on any kind of device
 Accelerate was created for PyTorch users who like to write the training 
 loop of PyTorch models but are reluctant to write and maintain the 
 boilerplate code needed to use multi-GPUs/TPU/fp16.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=accelerate

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	true

=== debian/tests/control ===
Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_accelerator.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-accelerator

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_big_modeling.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         python3-transformers,
         @
Restrictions: allow-stderr
Features: test-name=pytest-big-modeling

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_compile.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         python3-wheel,
         python3-setuptools,
         @
Restrictions: allow-stderr
Features: test-name=pytest-compile

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_data_loader.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-data-loader

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_examples.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-examples

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_fp8.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-fp8

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_grad_sync.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-grad-sync

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_hooks.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-hooks

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_imports.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-imports

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_kwargs_handlers.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-kwargs-handlers

Test-Command: HOME=$AUTOPKGTEST_TMP pytest-3 -v tests/test_launch.py
Depends: python3-pytest,
         python3-pytest-env,
         python3-pytest-mock,
         python3-parameterized,
         @
Restrictions: allow-stderr
Features: test-name=pytest-launch

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/huggingface/accelerate/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## accelerate 1.12.0

=== Makefile ===
--- 
+++ 
@@ -8,19 +8,16 @@
 	python utils/check_copies.py
 	python utils/check_dummies.py
 	python utils/check_repo.py
-	doc-builder style src/accelerate docs/source --max_len 119
 
 # this target runs checks on all files
 quality:
 	ruff check $(check_dirs)
 	ruff format --check $(check_dirs)
-	doc-builder style src/accelerate docs/source --max_len 119 --check_only
 
 # Format source code automatically and check is there are any problems left that need manual fixing
 style:
 	ruff check $(check_dirs) --fix
 	ruff format $(check_dirs)
-	doc-builder style src/accelerate docs/source --max_len 119
 	
 # Run tests for the library
 test_core:
@@ -64,7 +61,7 @@
 
 # Broken down example tests for the CI runners
 test_integrations:
-	python -m pytest -s -v ./tests/deepspeed ./tests/fsdp ./tests/tp $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_integrations.log",)
+	python -m pytest -s -v ./tests/fsdp ./tests/tp ./tests/deepspeed $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_integrations.log",)
 
 test_example_differences:
 	python -m pytest -s -v ./tests/test_examples.py::ExampleDifferenceTests $(if $(IS_GITHUB_CI),--report-log "$(PYTORCH_VERSION)_example_diff.log",)

=== debian/changelog ===
accelerate (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Add myself as uploaders (as GSoC mentor).
  * Add g++ dependency to one autopkgtest test case.

 -- Mo Zhou <lumin@debian.org>  Sun, 14 Dec 2025 21:29:45 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
-Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>
+Uploaders: Kohei Sendai <kouhei.sendai@gmail.com>,
+           Mo Zhou <lumin@debian.org>,
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
